curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/flywheel/candidates' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"candidates": [
{
"artifact_type": "Rule",
"content": null,
"created_at": "2026-08-31T14:22:05Z",
"evidence_events": [],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reviewed_at": "2026-08-31T14:22:05Z",
"reviewed_by": "string",
"status": "Pending"
}
],
"total": 102
}
Flywheel candidates handler
Required scope: read
GET
/
api
/
v1
/
flywheel
/
candidates
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/flywheel/candidates' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"candidates": [
{
"artifact_type": "Rule",
"content": null,
"created_at": "2026-08-31T14:22:05Z",
"evidence_events": [],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reviewed_at": "2026-08-31T14:22:05Z",
"reviewed_by": "string",
"status": "Pending"
}
],
"total": 102
}
Required scope:
read
Query parameters
string
Filter by candidate status: pending, approved, rejected, auto_promoted
Response
FlywheelCandidatesResponse
PromotionCandidate[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Promotion candidates |
400 | Invalid status filter |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/flywheel/candidates' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"candidates": [
{
"artifact_type": "Rule",
"content": null,
"created_at": "2026-08-31T14:22:05Z",
"evidence_events": [],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reviewed_at": "2026-08-31T14:22:05Z",
"reviewed_by": "string",
"status": "Pending"
}
],
"total": 102
}
Last modified on August 31, 2026